LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
FormatElement Struct Referencepublished

One number format code and its attributes, returned in a sequence by XLocaleData::getAllFormats(). More...

`import"FormatElement.idl";`

## Public Attributes
string | formatCode
| The format code, for example, "YYYY-MM-DD". More...
string | formatName
| A name or description that is displayed in the number formatter dialog. More...
string | formatKey
| A unique (within one locale) identifier. More...
string | formatType
| Type may be one of "short", "medium", "long". More...
string | formatUsage
| Usage category, for example, "DATE" or "FIXED_NUMBER", corresponding with KNumberFormatUsage values. More...
short | formatIndex
| The index used by the number formatter, predefined values corresponding with NumberFormatIndex values. More...
boolean | isDefault
| If a format code is the default code of a formatType group. More...

## Detailed Description

One number format code and its attributes, returned in a sequence by XLocaleData::getAllFormats().

Contains raw data defined in the XML locale data files.

See Also
  XLocaleData for links to DTD of XML locale data files.

## Member Data Documentation

string formatCode

The format code, for example, "YYYY-MM-DD".

short formatIndex

The index used by the number formatter, predefined values corresponding with NumberFormatIndex values.

string formatKey

A unique (within one locale) identifier.

string formatName

A name or description that is displayed in the number formatter dialog.

string formatType

Type may be one of "short", "medium", "long".

string formatUsage

Usage category, for example, "DATE" or "FIXED_NUMBER", corresponding with KNumberFormatUsage values.

boolean isDefault

If a format code is the default code of a formatType group.

The documentation for this struct was generated from the following file:

- com/sun/star/i18n/FormatElement.idl